Skip to main content
GET
Get contracts for given customer (number)
This endpoint allows you to retrieve all contracts for a particular customer. A contract is only listed here after it has been confirmed, i.e. the contract confirmation has been sent out to the customer and a date for the start of delivery has been set. By default, the API returns only the first 10 records. Use offset and limit request parameters for paging.
Requires role:application, role:customer-support or role: finance-reporting scope or Linked relation on customer level.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerNumber
string
required

Customer number

Query Parameters

offset
integer<int32>
default:0

Offset of the page.

limit
integer<int32>
default:10

Size of the page.

Response

200 - application/json

OK

API response DTO with a list of items.

isSuccess
boolean
read-only

Success status of the operation based on status code (2xx range).

Example:

true

message
string | null

Optional message to provide additional information about the operation result.

Example:

null

error
object[] | null

Optional error details in case of an error(s).

refUri
string<uri> | null
read-only

Optional reference URI to point to the resulting resource.

data
object[]

Returned data instance.

count
integer<int32>
read-only

Number of items returned in the list.

Example:

10

hasMoreItems
boolean

Indicates, whether there are more items to be returned in the list, that are not included in the limit of this request.

Example:

true